Custody providers
Get All Custody Wallet
Lists all org custody wallets with balances, provider, parent wallet and linked grants, investments and warrants.
GEThttps://api.toku.com/tga/get-all-custody-wallet
Required scope: wallets:read
curl --request GET \
--url 'https://api.toku.com/tga/get-all-custody-wallet' \
--header 'Authorization: Bearer <token>'200 response
[
{
"custodyWalletID": "string",
"walletAddress": "string",
"walletLink": "string",
"networkName": "string",
"originalWalletAllocation": [
{
"createdAt": "string",
"updatedAt": "string",
"investorEntityID": "string",
"investmentID": "string",
"roleInOrgID": "string",
"warrantID": "string",
"grantID": "string",
"custodyWalletID": "string",
"custodyAllocationID": "string",
"allocationAmount": "string",
"lastReconciledAt": "string"
}
],
"currentBalance": "string",
"custodyProvider": "string",
"linkedGrants": [
{
"grantID": "string",
"grantName": "string"
}
],
"balanceUpdatedAt": "string",
"gasBalance": "string",
"gasBalanceUpdatedAt": "string",
"walletName": "string",
"linkedInvestments": [
{
"investmentID": "string",
"investmentName": "string"
}
],
"parentCustodyWalletID": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
custodyWalletIDstring | nullwalletAddressstring | nullwalletLinkstring | nullnetworkNamestring | nulloriginalWalletAllocationarray | nullShow child attributes
createdAtstring | nullupdatedAtstring | nullinvestorEntityIDstring | nullinvestmentIDstring | nullroleInOrgIDstring | nullwarrantIDstring | nullgrantIDstring | nullcustodyWalletIDstring | nullcustodyAllocationIDstring | nullallocationAmountstring | nulllastReconciledAtstring | nullcurrentBalancestring | nullcustodyProviderstring | nulllinkedGrantsarray | nullShow child attributes
grantIDstring | nullgrantNamestring | nullbalanceUpdatedAtstring | nullgasBalancestring | nullgasBalanceUpdatedAtstring | nullwalletNamestring | nulllinkedInvestmentsarray | nullShow child attributes
investmentIDstring | nullinvestmentNamestring | nullparentCustodyWalletIDstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits